#!/bin/bash

package=gsoap
version=-2.8.3

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*

prefix=$GEXTAUDIODB_INSTALLED

export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"

echo GSDLOS = $GSDLOS

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix \
  --disable-ssl

opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version

